#@ load("@ytt:data", "data")

#@ ns = data.values.application.namespace

---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: forgejo-git-storage
  namespace: #@ ns
  annotations:
    helm.sh/resource-policy: keep
spec:
  accessModes:
    - ReadWriteOnce
  storageClassName: #@ data.values.cluster.storageClass.block
  resources:
    requests:
      storage: 20Gi
